## tkdesk 1.0b1-1

=== Makefile ===
# ===========================================================================
#
#                          Makefile for TkDesk 1.0b1
#
# ===========================================================================

# Note: This Makefile has been set up to be used "as is" for stock
# Slackware 3.0 Linux systems, assuming the Slackware Tcl/Tk packages
# have been installed and are to be used by TkDesk.
# Else: Just change the options below.

# --------------------------------
# TkDesk Installation:
# --------------------------------

# Where the executables will be installed:
BINDIR = /usr/bin
#BINDIR = $(HOME)/bin

# Where TkDesk will look for the tkdesk script when started (this is
# usually the same as BINDIR):
SEARCH_BINDIR = $(BINDIR)

# TkDesk's library will be installed here:
LIBDIR = /usr/lib/TkDesk
#LIBDIR = $(HOME)/lib/TkDesk

# Where TkDesk will look for its library files when started (this is
# usually the same as LIBDIR):
SEARCH_LIBDIR = $(LIBDIR)

# --------------------------------
# Tcl/Tk Paths and Libraries:
# You need either Tcl 7.4/Tk 4.0 or Tcl 7.5/Tk 4.1!
# --------------------------------

# Location of the Tcl include files:
TCLINCDIR = /usr/include/tcl       # Linux with Slackware 3.0
#TCLINCDIR = /usr/local/include
#TCLINCDIR = /usr/local/include/tcl7.5
#TCLINCDIR = $(HOME)/include

# Location of the Tcl library:
TCLLIBDIR = /usr/lib
#TCLLIBDIR = /usr/local/lib
#TCLLIBDIR = $(HOME)/lib

# Flag for linking the Tcl library to TkDesk:
#TCLLIB = -ltcl
TCLLIB = -ltcl7.4
#TCLLIB = -ltcl7.5
#TCLLIB = -ltcl7_4

# Location of the Tk include files:
TKINCDIR = /usr/include/tcl        # Linux with Slackware 3.0
#TKINCDIR = /usr/local/include
#TKINCDIR = /usr/local/include/tcl7.5
#TKINCDIR = $(HOME)/include

# Location of the Tk library:
TKLIBDIR = /usr/lib
#TKLIBDIR = /usr/local/lib
#TKLIBDIR = $(HOME)/lib

# Flag for linking the Tk library to TkDesk:
#TKLIB = -ltk
TKLIB = -ltk4.0
#TKLIB = -ltk4.1
#TKLIB = -ltk4_0

# --------------------------------
# X11 Paths:
# --------------------------------

# Location of X11 include files:
XINCDIR = /usr/X11R6/include
#XINCDIR = /usr/local/X11R5/include

# Location of libX11.*:
XLIBDIR = /usr/X11R6/lib
#XLIBDIR = /usr/local/X11R5/lib

# --------------------------------
# System Settings:
# --------------------------------

# Flags for system-specific other libs, if required:
OTHERLIBS = -lieee           # e.g. Linux
#OTHERLIBS = -ldl -lieee      # e.g. Linux with Tcl 7.5 and dynamic loading
#OTHERLIBS = -lnsl -lsocket   # e.g. for Solaris
#OTHERLIBS =

# --------------------------------
# Compiler and Linker Settings:
# --------------------------------

# Choose your compiler on the following line:
CC = gcc

# Your favorite CFLAGS:
CFLAGS = -O2
#CFLAGS = -Wall -g

# And options for the linker:
LDFLAGS = -s
# Linux Slackware 3.0 users: use the following to prevent static linking
# if you're using the Slackware Tcl/Tk packages:
LDFLAGS = -s -L/lib


# ---------------------------------------------------------------------------
# --------------------  End of Configuration Section ------------------------
# ---------------------------------------------------------------------------


PKGNAME = tkdesk
VERSION = 1.0b1
FVERSION = 1b1
PKGDIR = $(PKGNAME)-$(VERSION)

TCLLIBDIRFLAG = -L$(TCLLIBDIR)
TKLIBDIRFLAG = -L$(TKLIBDIR)
XLIBDIRFLAG = -L$(XLIBDIR)

MAKELIB = make CC="$(CC)" CFLAGS="$(CFLAGS) -I$(TCLINCDIR) -I$(TKINCDIR) -I$(XINCDIR)"

all: shell tkdesk
	@echo "========= Done."
	@echo "You can try out TkDesk before installing it by commenting"
	@echo "out the fifth line in the file tkdesk and then executing:"
	@echo "./tkdesksh tkdesk -configdir ./tcldesk/configs"

shell: makelibs tkAppInit.o
	$(CC) $(LDFLAGS) tkAppInit.o -o tkdesksh libdesk/libdesk.a \
		blt/src/libBLT.a $(TKLIBDIRFLAG) $(TKLIB) \
		$(XLIBDIRFLAG) -lX11 itcl/src/libitcl.a \
		$(TCLLIBDIRFLAG) $(TCLLIB) $(OTHERLIBS) -lm


tkAppInit.o:
	$(CC) $(CFLAGS) -I$(TCLINCDIR) -I$(TKINCDIR) -I$(XINCDIR) -c tkAppInit.c

config:
	@(if [ -f config.tkdesk ]; then rm config.tkdesk; fi)
	@echo "CC=\"$(CC)\"" >config.tkdesk
	@echo "CFLAGS=\"$(CFLAGS)\"" >>config.tkdesk
	@echo "TCLINCDIR=\"$(TCLINCDIR)\"" >>config.tkdesk
	@echo "TCLLIBDIR=\"$(TCLLIBDIR)\"" >>config.tkdesk
	@echo "TKINCDIR=\"$(TKINCDIR)\"" >>config.tkdesk
	@echo "TKLIBDIR=\"$(TKLIBDIR)\"" >>config.tkdesk
	@echo "XINCDIR=\"$(XINCDIR)\"" >>config.tkdesk
	@echo "XLIBDIR=\"$(XLIBDIR)\"" >>config.tkdesk
	@echo "========= Configuring in blt..."
	@rm -f blt/config.cache blt/config.BLT
	@(cd blt; ./configure --with-cc="$(CC)" --with-cflags="$(CFLAGS)")
	@(cd libdesk; rm -f config.h; ln -s ../blt/src/bltConfig.h config.h)
	@echo ""; echo "========= Configuring in itcl..."
	@(cd itcl; ./configure)

makelibs:
	cd blt; make lib-static
	cd itcl; make libitcl.a
	cd libdesk; $(MAKELIB) libdesk.a

#
# The following target is intentionally called tkdesk, so I don't overwrite
# my working version of the tkdesk file.
#
tkdesk: thetools
	@echo '#!/bin/sh' >tkdesk
	@echo '#-*- tcl -*- \' >>tkdesk
	@echo "exec $(SEARCH_BINDIR)/tkdesksh \"\$$0\" \"\$$@\"" >>tkdesk
	@echo "" >>tkdesk
	@echo "set tkdesk(library) \"$(SEARCH_LIBDIR)\"" >>tkdesk
	@echo "set tkdesk(in_development) 0" >>tkdesk
	@echo "set tkdesk(debug) 0" >>tkdesk
	@cat tkdesk.main >>tkdesk
	@chmod 755 tkdesk

thetools:
	@(cd tools ;\
	for f in ed-tkdesk cd-tkdesk od-tkdesk; do \
	echo '#!/bin/sh' >$$f ;\
	echo '#-*- tcl -*- \' >>$$f ;\
	echo "exec $(SEARCH_BINDIR)/tkdesksh \"\$$0\" \"\$$@\"" >>$$f ;\
	echo "" >>$$f ;\
	cat $$f.main >>$$f ;\
	chmod 755 $$f ;\
	done)

install: tkdesk
	@echo "=== Installing TkDesk's library..."
	-mkdir ./debian-tmp/$(LIBDIR)
	-mkdir ./debian-tmp/$(LIBDIR)/configs
	-mkdir ./debian-tmp/$(LIBDIR)/configs/.trash
	cp -r tcldesk/* ./debian-tmp/$(LIBDIR)
	rm -f ./debian-tmp/$(LIBDIR)/configs/_*
	find ./debian-tmp/$(LIBDIR) -type f -exec chmod a+r {} \;
	find ./debian-tmp/$(LIBDIR) -type d -exec chmod a+rx {} \;
	@echo "=== Installing the executables..."
	@rm -f ./debian-tmp/$(BINDIR)/tkdesksh ./debian-tmp/$(BINDIR)/tkdesk ./debian-tmp/$(BINDIR)/pauseme ./debian-tmp/$(BINDIR)/ed-tkdesk ./debian-tmp/$(BINDIR)/cd-tkdesk ./debian-tmp/$(BINDIR)/od-tkdesk
	cp tkdesksh ./debian-tmp/$(BINDIR)
	cp tkdesk tools/pauseme tools/ed-tkdesk tools/cd-tkdesk tools/od-tkdesk ./debian-tmp/$(BINDIR)
	chmod 755 ./debian-tmp/$(BINDIR)/*tkdesk* ./debian-tmp/$(BINDIR)/pauseme
	@echo "=== Installation complete."

uninstall:
	@echo "=== Uninstalling TkDesk's library..."
	-rm -r $(LIBDIR)
	@echo "=== Uninstalling TkDesk's executables..."
	-rm $(BINDIR)/tkdesksh $(BINDIR)/tkdesk $(BINDIR)/pauseme $(BINDIR)/ed-tkdesk $(BINDIR)/cd-tkdesk $(BINDIR)/od-tkdesk
	@echo "=== Done."

clean:
	cd blt; make clean
	cd itcl; make clean
	cd libdesk ; $(MAKELIB) clean
	cd tcldesk ; rm -f #*#
	rm -f *.o tkdesksh

tags:
	cd libdesk ; etags *.c
	cd tcldesk ; etags *.tcl

export:
	@echo "Making distribution for $(PKGDIR) ..."
	@echo "Did you think about updating tkdesk.main and CFLAGS?"
	@(cd .. ;\
	mkdir $(PKGDIR) ;\
	mkdir $(PKGDIR)/blt ;\
	mkdir $(PKGDIR)/blt/cf ;\
	mkdir $(PKGDIR)/blt/src ;\
	mkdir $(PKGDIR)/doc ;\
	mkdir $(PKGDIR)/itcl ;\
	mkdir $(PKGDIR)/itcl/src ;\
	mkdir $(PKGDIR)/libdesk ;\
	mkdir $(PKGDIR)/tcldesk ;\
	mkdir $(PKGDIR)/tcldesk/about ;\
	mkdir $(PKGDIR)/tcldesk/cb_tools ;\
	mkdir $(PKGDIR)/tcldesk/cb_tools/bitmaps ;\
	mkdir $(PKGDIR)/tcldesk/doc ;\
	mkdir $(PKGDIR)/tcldesk/images ;\
	mkdir $(PKGDIR)/tcldesk/images/ficons16 ;\
	mkdir $(PKGDIR)/tcldesk/sounds ;\
	mkdir $(PKGDIR)/tcldesk/configs ;\
	mkdir $(PKGDIR)/tcldesk/configs/.trash ;\
	mkdir $(PKGDIR)/tools ;\
	cp TkDesk/{COPYING,INSTALL,Makefile,TODO,license.terms,README} \
		TkDesk/{*.c,tkdesk.main} $(PKGDIR) ;\
	cp TkDesk/blt/{MANIFEST,Makefile.in,README,README.BLT,*.h} \
		TkDesk/blt/{config.BLT,configure,configure.in} \
		$(PKGDIR)/blt ;\
	cp TkDesk/blt/cf/* $(PKGDIR)/blt/cf ;\
	cp TkDesk/blt/src/{*.in,*.c,bltInt.h,bltList.h} $(PKGDIR)/blt/src ;\
	cp TkDesk/doc/{guide.sgml,guide.txt,guide.ps} $(PKGDIR)/doc ;\
	cp TkDesk/itcl/{Makefile.in,README,configure,configure.in} \
		$(PKGDIR)/itcl ;\
	cp TkDesk/itcl/src/{*.in,*.c,*.h} $(PKGDIR)/itcl/src ;\
	cp TkDesk/libdesk/{Makefile,*.c,*.h} $(PKGDIR)/libdesk ;\
	cp TkDesk/tcldesk/*.tcl $(PKGDIR)/tcldesk ;\
	cp TkDesk/tcldesk/about/*.xbm.gz $(PKGDIR)/tcldesk/about ;\
	cp TkDesk/tcldesk/cb_tools/{*.tcl,tclIndex} \
		$(PKGDIR)/tcldesk/cb_tools ;\
	cp TkDesk/tcldesk/cb_tools/bitmaps/*.xbm \
		$(PKGDIR)/tcldesk/cb_tools/bitmaps ;\
	cp TkDesk/tcldesk/doc/{License,Guide} $(PKGDIR)/tcldesk/doc ;\
	cp TkDesk/CHANGES $(PKGDIR)/tcldesk/doc ;\
	cp TkDesk/tcldesk/images/{*.xbm,*.xpm} $(PKGDIR)/tcldesk/images ;\
	cp TkDesk/tcldesk/images/ficons16/*.xpm \
		$(PKGDIR)/tcldesk/images/ficons16 ;\
	cp TkDesk/tcldesk/sounds/{*.voc,*.wav} $(PKGDIR)/tcldesk/sounds ;\
	cp TkDesk/tcldesk/configs/{AppBar,ButtonBar,Commands,Directories} \
		TkDesk/tcldesk/configs/{FileTags,Popups} \
		TkDesk/tcldesk/configs/{Sounds,System} \
		$(PKGDIR)/tcldesk/configs ;\
	cp TkDesk/tools/{*.main,mkindex,pauseme} $(PKGDIR)/tools ;\
	gtar czvpf $(PKGDIR).tar.gz $(PKGDIR) ;\
	mv $(PKGDIR).tar.gz TkDesk ;\
	rm -rf $(PKGDIR) )


floppy:
	mcopy $(PKGNAME)-$(VERSION).tar.gz a:tkdsk$(FVERSION).tgz
	mdir a:

=== blt/Makefile ===
# Generated automatically from Makefile.in by configure.
# ------------------------------------------------------------------------
#       Makefile for demonstation shell of BLT library
# ------------------------------------------------------------------------

# ------------------------------------------------------------------------
#       C Compiler options 
# ------------------------------------------------------------------------

DEFINES      = 
CFLAGS       = -O2 
CC 	     = gcc

TOPDIR	     = /usr/local/blt
BINDIR       = /usr/local/blt/bin
INCDIR	     = /usr/local/blt/include

# ------------------------------------------------------------------------
#       Include directives for Tcl, Tk, and X include files 
# ------------------------------------------------------------------------

INCLUDES     = -I. -I/usr/include/tcl -I/usr/include/tcl -I/usr/X11R6/include

# ------------------------------------------------------------------------
#       Libraries directives for Tcl, Tk, X11, and BLT
# ------------------------------------------------------------------------

STD_LIBS     =   -L/usr/X11R6/lib -lX11 -ldl
INCR_LIBS    =  
EXTRA_LIBS   =  -lm 

LIBDIR       = /usr/local/blt/lib
XLIBDIR      = /usr/X11R6/lib
TCLLIBDIR    = /usr/lib
TKLIBDIR     = /usr/lib

LIBRARIES    = ./src/libBLT.a $(INCR_LIBS) $(STD_LIBS) $(EXTRA_LIBS)

# ------------------------------------------------------------------------
#       Don't edit anything beyond this point
# ------------------------------------------------------------------------

demo 	     = bltwish
HEADERS	     = blt.h

CC_SWITCHES  = $(CFLAGS) $(DEFINES) $(INCLUDES)
LD_FLAGS     =  -Wl,-rpath,$(LIBDIR):$(TKLIBDIR):$(TCLLIBDIR):$(XLIBDIR)
INSTALL      = /usr/bin/install -c
RANLIB 	     = ranlib
SHELL 	     = /bin/sh
RM 	     = rm -f
srcdir	     = .

all: lib-static $(demo) lib-shared 
	@echo "make finished on `date`"

$(demo): lib-static 
	@echo "making BLT demo \"$(demo)\"..."
	$(RM) $(demo)
	$(CC) $(CC_SWITCHES) $(LD_FLAGS) \
		$(srcdir)/tkAppInit.c -o $(demo) $(LIBRARIES) 

libs: lib-static lib-shared
shared: lib-shared

lib-static:
	@echo "making all in ./src"
	@(cd src; $(MAKE) CFLAGS="$(CFLAGS)" all)

lib-shared: 
	@echo "making shared library in ./src/shared"
	@(cd src/shared; $(MAKE) CFLAGS="$(CFLAGS)" all)


install: install-top install-library \
	install-bin install-lib install-man install-include

install-top:
	@if test -d $(TOPDIR); then : ; else mkdir $(TOPDIR); fi

install-bin: $(demo)
	@if test -d $(BINDIR); then : ; else mkdir $(BINDIR); fi
	chmod 0755 $(demo)
	$(INSTALL) $(demo) $(BINDIR)

install-man: 
	@(cd man; $(MAKE) install)

install-include:
	@if test -d $(INCDIR); then : ; else mkdir $(INCDIR); fi
	chmod 0444 $(HEADERS)
	$(INSTALL) $(HEADERS) $(INCDIR)

install-lib:
	@(cd src; $(MAKE) install)
	@(cd src/shared; $(MAKE) install)

install-library:
	@(cd library; $(MAKE) install)


clean:
	@echo "cleaning in ./src"
	@(cd src; $(MAKE) clean)

.c.o:
	$(CC) -c $(CC_SWITCHES) $<

GENERATED_FILES = \
	config.status config.cache config.log \
	config.BLT src/bltConfig.h \
	Makefile \
	src/Makefile \
	src/TAGS \
	src/shared/Makefile \
	man/Makefile \
	library/Makefile \
	demos/*.ps

distclean: clean
	$(RM) $(GENERATED_FILES)

PUREFLAGS=
pure: lib-static
	$(PURIFYHOME)/purify $(PUREFLAGS) \
	$(CC) $(CC_SWITCHES) $(srcdir)/tkAppInit.c -o $(demo) $(LIBRARIES)

QUANTIFYFLAGS=
profile: lib-static
	$(QUANTIFYHOME)/quantify $(QUANTIFYFLAGS) \
	$(CC) $(CC_SWITCHES) $(srcdir)/tkAppInit.c -o $(demo) $(LIBRARIES)

=== libdesk/Makefile ===
#-*- makefile -*-
#
# Makefile for libdesk (part of TkDesk)
#

OBJECTS = init.o dsk_ls.o misc.o ot.o o_FileListbox.o tixImgXpm.o

LIBNAME = libdesk.a

# --- Rules: -----------------------------------------------------------------

default:
	cd ..; make -k shell

shell:
	cd ..; make -k shell

$(LIBNAME): $(OBJECTS)
	ar rc $@ $(OBJECTS)
	-ranlib $@

clean:
	rm -f $(LIBNAME) *.o #*#

=== blt/src/Makefile ===
# Generated automatically from Makefile.in by configure.
# ------------------------------------------------------------------------
# 	Makefile for normal version of BLT library
# ------------------------------------------------------------------------

# ------------------------------------------------------------------------
# 	C Compiler options 
# ------------------------------------------------------------------------

CC           	= gcc
CFLAGS  	= -O2 
DEFINES      	= 
DEF_BLTINIT	= -DBLT_LIBRARY=\"$(BLT_LIBRARY)\"
TOPDIR      	= /usr/local/blt
LIBDIR      	= /usr/local/blt/lib
BLT_LIBRARY  	= /usr/local/blt/lib/blt2.1

# ------------------------------------------------------------------------
# 	Directories containing Tcl and Tk include files and libraries
# ------------------------------------------------------------------------

TCL_INCLUDE   	= -I/usr/include/tcl
TK_INCLUDE    	= -I/usr/include/tcl
X_INCLUDE     	= -I/usr/X11R6/include
INCLUDES	= -I. $(TK_INCLUDE) $(TCL_INCLUDE) $(X_INCLUDE)

# ------------------------------------------------------------------------
# 	Don't edit anything beyond this point
# ------------------------------------------------------------------------

#N_OBJS		= bltTed.o
#N_SRCS		= bltTed.c

TK_3_OBJS	= bltBell.o bltCutbuffer.o
TK_3_SRCS	= bltBell.c bltCutbuffer.c

TK_4_OBJS	= bltTile.o tkButton.o tkFrame.o tkScrollbar.o
TK_4_SRCS	= bltTile.c tkButton.c tkFrame.c tkScrollbar.c

ORIG_OBJS 		= bltGraph.o bltGrAxis.o bltGrBar.o bltGrElem.o \
		  bltGrGrid.o bltGrHairs.o bltGrLegd.o bltGrLine.o \
		  bltGrMarker.o bltGrMisc.o bltGrPs.o \
        	  bltBgexec.o bltBitmap.o bltBusy.o \
		  bltDebug.o bltDragDrop.o bltHtext.o \
		  bltSpline.o bltTable.o bltVector.o bltWatch.o bltWinOp.o \
        	  bltInit.o bltInput.o bltList.o bltText.o bltUtil.o \
		  $(TK_4_OBJS) $(N_OBJS)

ORIG_SRCS 		= bltGraph.c bltGrAxis.c bltGrBar.c bltGrElem.c \
		  bltGrGrid.c bltGrHairs.c bltGrLegd.c bltGrLine.c \
		  bltGrMarker.c bltGrMisc.c bltGrPs.c \
        	  bltBgexec.c bltBitmap.c bltBusy.c \
		  bltDebug.c bltDragDrop.c bltHtext.c \
		  bltSpline.c bltTable.c bltVector.c bltWatch.c bltWin.c \
        	  bltInit.c bltInput.c bltList.c bltText.c bltUtil.c \
		  $(TK_4_SRCS) $(N_SRCS)

OBJS 		= bltBgexec.o bltBusy.o bltInput.o \
		  bltDragDrop.o bltInit.o bltList.o bltUtil.o

SRCS 		= bltBgexec.c bltBusy.c bltInput.c \
		  bltDragDrop.c bltInit.c bltList.c bltUtil.c

libname  	= libBLT.a
CC_SWITCHES	= $(CFLAGS) $(DEFINES) $(INCLUDES)
INSTALL  	= /usr/bin/install -c
INSTALL_DATA  	= ${INSTALL} -m 644
RANLIB   	= ranlib
SHELL    	= /bin/sh
AR       	= ar rc
RM       	= rm -f
LINT		= lint
LINTFLAGS	= -axhbn
srcdir 		= .

all: $(libname)

$(libname):  $(OBJS)
	$(RM) $@
	$(AR) $@ $(OBJS)
	$(RANLIB) $@

install: $(libname) install-dirs
	$(INSTALL_DATA) $(libname) $(LIBDIR)
	$(RANLIB) $(LIBDIR)/$(libname)

install-dirs:
	@for i in $(TOPDIR) $(LIBDIR) ; do \
	    if test ! -d $$i ; then \
		mkdir $$i ; \
	    fi ; \
        done

clean:
	$(RM) $(OBJS) $(libname) *.bak *\~ "#"* *pure* .pure*

lint:
	$(LINT) $(LINTFLAGS) $(DEFINES) $(INCLUDES) $(SRCS)

bltInit.o: bltInit.c
	$(CC) -c $(CC_SWITCHES) $(DEF_BLTINIT) $<

.c.o:
	$(CC) -c $(CC_SWITCHES) $<

=== itcl/src/Makefile ===
# Generated automatically from Makefile.in by configure.
# ---------------------------------------------------------------------------
#           [incr Tcl] - Object-oriented programming in Tcl
# ---------------------------------------------------------------------------
# This file is a Makefile for [incr Tcl].  If it has the name "Makefile.in"
# then it is a template for a Makefile; to generate the actual Makefile,
# run "./configure", which is a configuration script generated by the
# "autoconf" program (constructs like "@foo@" will get replaced in the
# actual Makefile.
# ---------------------------------------------------------------------------
ROOTNAME = itcl
VERSION  = 1.5
PACKAGE  = $(ROOTNAME)-$(VERSION)

# ---------------------------------------------------------------------------
# Things you can change to personalize the Makefile for your own site.
# (You can make these changes in either Makefile.in or Makefile, but
# changes to Makefile will get lost if you re-run the configuration script.)
# ---------------------------------------------------------------------------
# INSTALLATION DIRECTORIES
# ---------------------------------------------------------------------------

# Top-level directory in which to install architecture-specific files:
prefix = /usr/local
exec_prefix = $(prefix)

# Directory in which to install the archive libitcl.a:
LIB_DIR = $(exec_prefix)/lib

# Directory in which to install the include file itcl.h:
INCLUDE_DIR = $(exec_prefix)/include

# Directory in which to install the programs (itcl_wish and itcl_sh):
BIN_DIR = $(exec_prefix)/bin

# ---------------------------------------------------------------------------
# COMPILATION SOURCES/LIBRARIES
# ---------------------------------------------------------------------------

# Tcl source directory (must contain tclInt.h)
# (the configure script should find it; if not, edit below)
TCL_INC = -I. -I/usr/include/tcl       

# Tk include directory
# (the configure script should find it; if not, edit below)
TK_INC = -I/usr/include/tcl

# X11 include directory
# (the configure script should find it; if it is /usr/include,
# it will be commented out)
X11_INC =	 -I/usr/X11R6/include

# Tcl library
# (the configure script should find it; if not, edit below)
TCL_LIB = /usr/lib/libtcl.a

# Tk library
# (the configure script should find it; if not, edit below)
TK_LIB = /usr/lib/libtk.a

# Linker switch(es) to use to link with the X11 library archive (the
# configure script will try to set this value automatically, but you
# can override it).
X11_LIB = -L/usr/X11R6/lib -lX11

# Libraries to use when linking:  must include at least Tk, Tcl, Xlib,
# and the math library (in that order).  The " -lm" part will be
# replaced (or has already been replaced) with relevant libraries as
# determined by the configure script.
LIBS = $(TK_LIB) $(TCL_LIB) $(X11_LIB)  -lm -lm

# Composite list of include files
INCS = -I$(SRC_DIR) $(TCL_INC) $(TK_INC) $(X11_INC)

# To change the compiler switches, for example to change from -O
# to -g, change the following line:
CFLAGS = -O2

# To turn off the security checks that disallow incoming sends when
# the X server appears to be insecure, reverse the comments on the
# following lines:
SECURITY_FLAGS =
#SECURITY_FLAGS = -DTK_NO_SECURITY

# To disable ANSI-C procedure prototypes reverse the comment characters
# on the following lines:
PROTO_FLAGS =
#PROTO_FLAGS = -DNO_PROTOTYPE

# To enable memory debugging reverse the comment characters on the following
# lines.  Warning:  if you enable memory debugging, you must do it
# *everywhere*, including all the code that calls Tcl, and you must use
# ckalloc and ckfree everywhere instead of malloc and free.
MEM_DEBUG_FLAGS =
#MEM_DEBUG_FLAGS = -DTCL_MEM_DEBUG

# Some versions of make, like SGI's, use the following variable to
# determine which shell to use for executing commands:
SHELL =		/bin/sh

# ---------------------------------------------------------------------------
# The information below is modified by the configure script when Makefile
# is generated from Makefile.in.  You shouldn't normally modify any of
# this stuff by hand.
# ---------------------------------------------------------------------------

AC_FLAGS =		
INSTALL =		/usr/bin/install -c
INSTALL_PROGRAM =	$(INSTALL)
INSTALL_DATA =		$(INSTALL) -m 644
RANLIB =		ranlib
SRC_DIR =		.
VPATH =			.

# ---------------------------------------------------------------------------
# The information below should be usable as is.  The configure script
# won't modify it and you shouldn't need to modify it either.
# ---------------------------------------------------------------------------

CC = gcc
CC_SWITCHES = $(CFLAGS) $(INCS) $(AC_FLAGS) $(PROTO_FLAGS) \
	$(SECURITY_FLAGS) $(MEM_DEBUG_FLAGS)

SRCS = itcl_class.c itcl_core.c \
	itcl_methods.c itcl_objects.c itcl_vars.c \
	itcl_util.c

OBJS = itcl_class.o itcl_core.o \
	itcl_methods.o itcl_objects.o itcl_vars.o \
	itcl_util.o

SOBJS = itcl_class.so itcl_core.so \
	itcl_methods.so itcl_objects.so itcl_vars.so \
	itcl_util.so

all:  libitcl.a itcl_wish itcl_sh

libitcl.a: $(OBJS)
	rm -f libitcl.a
	ar cr libitcl.a $(OBJS)
	$(RANLIB) libitcl.a

libitcl: $(SOBJS)
	rm -f libitcl
	  -o $@ $(SOBJS)

itcl_wish: tkAppInit.o libitcl.a
	$(CC) $(CC_SWITCHES) tkAppInit.o libitcl.a $(LIBS) -o itcl_wish

itcl_sh: tclAppInit.o libitcl.a
	$(CC) $(CC_SWITCHES) tclAppInit.o libitcl.a $(TCL_LIB) -lm -o itcl_sh

test: itcl_sh
	@( echo cd $(SRC_DIR)/../tests\; source all\; exit ) | ./itcl_sh

pure: tclAppInit.o tkAppInit.o libitcl.a
	purify $(CC) $(CC_SWITCHES) tclAppInit.o libitcl.a $(TCL_LIB) -lm \
		-o itcl_sh.pure
	purify $(CC) $(CC_SWITCHES) tkAppInit.o libitcl.a $(LIBS) \
		-o itcl_wish.pure

install:  libitcl.a itcl_wish itcl_sh
	@for i in $(INCLUDE_DIR) $(LIB_DIR) $(BIN_DIR) ; do \
	    if [ ! -d $$i ] ; then \
			echo "Making directory $$i"; \
			mkdir $$i; \
			chmod 755 $$i; \
		else true; \
		fi; \
	done;
	@echo "Installing itcl.h"
	@$(INSTALL_DATA) itcl.h $(INCLUDE_DIR)
	@echo "Installing libitcl.a"
	@$(INSTALL_DATA) libitcl.a $(LIB_DIR)
	@$(RANLIB) $(LIB_DIR)/libitcl.a
	@if [ -n "" ] ; then \
		echo "Installing "; \
		$(INSTALL_DATA)  $(LIB_DIR); \
	fi;
	@echo "Installing itcl_wish"
	@$(INSTALL_PROGRAM) itcl_wish $(BIN_DIR)
	@echo "Installing itcl_sh"
	@$(INSTALL_PROGRAM) itcl_sh $(BIN_DIR)

Makefile: $(SRC_DIR)/Makefile.in
	$(SHELL) config.status

clean:
	rm -f *.o *.a *.so *.so.* core errs *~ \#* TAGS *.E a.out errors
	rm -f itcl_wish itcl_sh *pure*

distclean: clean
	rm -f Makefile config.status

lint:
	$(LINT) $(INCS) $(SRCS)

.c.o:
	$(CC) -c $(CC_SWITCHES) $<

.SUFFIXES: .so $(SUFFIXES)
.c.so:
	$(CC) -c $(CC_SWITCHES)  $<
	mv $*.o $@

$(OBJS): itcl_class.h itcl_core.h \
	itcl_methods.h itcl_objects.h itcl_vars.h \
	itcl_util.h

## tkdesk 1.0b4

=== libdesk/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Makefile for libdesk (part of TkDesk)
 #
 
-OBJECTS = init.o dsk_ls.o misc.o ot.o o_FileListbox.o tixImgXpm.o
+OBJECTS = init.o dsk_ls.o misc.o util.o ot.o o_FileListbox.o tixImgXpm.o
 
 LIBNAME = libdesk.a

=== netscape-remote/Makefile ===
#
# $Id: Makefile,v 1.4 1996/05/17 19:37:07 kenh Exp $
#
# Makefile for the Tk Netscape-remote extension
#
# Tampered with by Christian Bolik for inclusion into TkDesk 96/07/09.
#

#
# The following options will probably need adjustmend for your system
#

# The C compiler.  Must be ANSI
CC=gcc -Wall				# SunOS 4.x, NetBSD
#CC=cc					# IRIX

# Linker command
LD=ld					# Probably most everybody

# Flag to compile PIC (position-independent code) on your system
PICFLAG=-fPIC				# SunOS 4.x (with gcc), NetBSD
#PICFLAG=				# IRIX

# Location of X and Tcl/Tk include files
INCLUDE=-I/afs/cmf/@sys/include				# NRL only
#INCLUDE=-I/usr/X11R6/include -I/usr/local/include	# NetBSD

# Extension used by shared libraries on your system
SHAREDLIBEXTENSION=.so			# SunOS 4.x, NetBSD, IRIX

# Extra flags needed for ld to generate a shared library
SHAREDLIBFLAGS=-assert pure-text	# SunOS 4.x
#SHAREDLIBFLAGS=-Bshareable		# NetBSD
#SHAREDLIBFLAGS=-shared -rdata_shared	# IRIX

OPT=-O2					# Production
#OPT=-g					# Debugging

#
# You shouldn't need to adjust anything below
#

CFLAGS=$(OPT) $(PICFLAG) $(INCLUDE)
PROG=netscape-remote
OBJS=$(PROG).o ClientWin.o

all: $(PROG)$(SHAREDLIBEXTENSION)

$(PROG)$(SHAREDLIBEXTENSION): $(OBJS)
	$(LD) $(SHAREDLIBFLAGS) $(PROG).o ClientWin.o -o $@

libnetscape.a: $(OBJS)
	ar rc $@ $(OBJS)
	-ranlib $@

.c.o:
	$(CC) $(CFLAGS) -c $<

clean:
	rm -f *.o *.a $(PROG)$(SHAREDLIBEXTENSION)

## tkdesk 2.0

=== doc/Makefile ===
#
# This Makefile is to generate ASCII text, HTML, and PostScript versions
# of the SGML source of the TkDesk User's Guide.  You will need the 
# LinuxDoc-SGML tools to run this yourself (linuxdoc*.rpm, or something
# similar).
#

OUTS = guide.txt guide.html guide.ps

all: $(OUTS)

guide.txt: guide.sgml
	sgml2txt -f guide.sgml

guide.html: guide.sgml
	sgml2html guide.sgml

guide.ps: guide.sgml
	sgml2latex --output=ps --papersize=a4 guide.sgml

clean:
	rm -f $(OUTS)

=== debian/changelog ===
tkdesk (2.0-13) experimental; urgency=medium

  * QA upload.

  * Fix FTBFS when building using GCC 15 (closes: #1098003).
  * Port to BLT 3.0.
  * Upload to experimental because of the freeze of trixie.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 07 Jun 2025 15:07:19 +0300

tkdesk (2.0-12) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 4.1.3 to 4.7.0.
  * Use wrap-and-sort -at for debian control files.
  * Trim trailing whitespace.
  * Fix day-of-week for changelog entry 2.0-6.
  * Flag in d/control that root build is not needed.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 16 Nov 2024 16:37:28 +0100

tkdesk (2.0-11) unstable; urgency=medium

  * QA upload.
  * Switch to Itcl 4.
  * Fix spelling error in a patch.
  * Bump Standards-Version to 4.1.3.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 20 Mar 2018 09:11:18 +0300

tkdesk (2.0-10) unstable; urgency=medium

  * QA upload.
  * Convert to source format 3.0 (quilt).
  * Convert to dh build.
  * Update Standards-Version to 4.1.1.
    - remove obsolete menu file
    - switch priority from extra to optional
  * debian/control:
    - change Maintainer to QA group (see #688443).
    - add Homepage field
    - don't duplicate priority and section
    - remove ancient version restriction
  * Bump debhelper compatibility to 10.
  * Fix watch file. (Closes: #449841)
  * Fix spelling errors found by lintian.
  * Honour build flags (for dbgsym and hardening support).
  * Fix doc-base registration file.
  * Convert debian/copyright to machine-readable format.
    - remove documentation of itcl, which is  no longer included
  * Add patch for reproducible output of mkindex.
    Thanks to Alexis Bienvenüe for the patch. (Closes: #824567)
  * Correctly symlink files that are referenced in documentation.
    (Closes: #599381)
  * Add patch to support parallel building.

 -- Reiner Herrmann <reiner@reiner-h.de>  Tue, 03 Oct 2017 17:54:14 +0200

tkdesk (2.0-9.2) unstable; urgency=low

  * Non-maintainer upload.
  * Switched to Tcl/Tk 8.6 to work with newer BLT (closes: #753794).
  * Find the itclConfig.sh in its new multiarchified location.
  * Defined USE_INTERP_RESULT macro to build with Tcl 8.6.
  * Fixed link to the tkdesk documentation.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 11 Jul 2014 09:15:08 +0400

tkdesk (2.0-9.1) unstable; urgency=low

  * Non-maintainer upload.
  * Switched off components autoloading and added patch
    http://tkdesk.sourceforge.net/patches/tkdesk-2.0p2.patch by upstream
    to make tkdesk working with itcl3 version 3.3 or newer.
  * Switched to Tcl/Tk 8.5 to match changes in itcl3 and work with newer BLT
    (closes: #533061, #545590).

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 30 Oct 2009 11:01:18 +0300

tkdesk (2.0-9) unstable; urgency=low

  * Throw a TCL_ERROR to prevent recursive calls to dskC_ls.  This
    prevents a core dump discovered in certain situations with Ubuntu and
    tkdesk 2.0-5.

 -- Daniel Martin <fizbin@debian.org>  Sun, 26 Aug 2007 14:22:54 -0400

tkdesk (2.0-8) unstable; urgency=low

  * Change TCL_INC_DIR usage to TCL_INCLUDE_SPEC.  This is apparently the
    proper way to include the Tcl/Tk headers; TCL_INC_DIR is only supposed
    to be used to include non-public headers.  As a side effect, this fixes
    the FTBFS caused by an upload of tcl8.4 that accidentally left this
    variable out. (closes: Bug#436331)

 -- Daniel Martin <fizbin@debian.org>  Tue, 07 Aug 2007 21:53:08 -0400

tkdesk (2.0-7) unstable; urgency=low

  * Integrate NMU patch (closes: Bug#392685)
  * Update menu file for new menu structure
  * Upgrade to debhelper compat level 5

 -- Daniel Martin <fizbin@debian.org>  Thu, 12 Jul 2007 13:40:00 -0400

tkdesk (2.0-6.1) unstable; urgency=low

  * NMU
  * Move man pages to /usr/share. Closes: #391697
  * Remove no longer correct and uselessly hardcoded path to tkdesk in menu
    file.
  * Fix menu file quoting.

 -- Joey Hess <joeyh@debian.org>  Thu, 12 Oct 2006 16:10:01 -0400

tkdesk (2.0-6) unstable; urgency=low

  * Move everything out of /usr/X11R6 (X v7 compatibility)

 -- Daniel Martin <fizbin@debian.org>  Sat, 11 Jun 2005 12:01:23 -0500

tkdesk (2.0-5) unstable; urgency=low

  * Fix an off-by-one error on terminating a string which causes
    bizarre display errors when displaying file modes inside
    file lists.  Apparently the new gcc packs arrays together
    more closely when using -O2. (closes: Bug#339048)

 -- Daniel Martin <fizbin@debian.org>  Tue, 15 Nov 2005 01:39:10 -0500

tkdesk (2.0-4) unstable; urgency=low

  * Remove an extraneous declaration that causes compile problems
    on gcc 3.4. (closes: Bug#263738)

 -- Daniel Martin <fizbin@debian.org>  Wed,  2 Nov 2005 22:26:02 -0500

tkdesk (2.0-3) unstable; urgency=low

  * Move pauseme manpage to section 1x; fixes name collision
    issue with vifm package.

 -- Daniel Martin <fizbin@debian.org>  Thu, 10 Jun 2004 12:21:31 -0400

tkdesk (2.0-2) unstable; urgency=low

  * Rework compile options, fix calls to malloc/free to call
    ckalloc/ckfree.  Fixes core dump on startup (closes: Bug#294644)

 -- Daniel Martin <fizbin@debian.org>  Wed, 19 May 2004 15:45:42 -0400

tkdesk (2.0-1) unstable; urgency=low

  * New upstream release
  ** Uses tcl/tk 8.4 (closes: Bug#173166)
  ** Mouse wheel support
  * Improved .deb interaction (closes: Bug#36955)
  * Moved tkdesksh to different location, wrote "pauseme" manpage
    (closes: Bug#19423)

 -- Daniel Martin <fizbin@debian.org>  Sun, 18 Apr 2004 22:45:56 -0400

tkdesk (1.2-9) unstable; urgency=low

  * Reworked package to debhelperize it.
  * Reworked package gets md5sums correct. (closes: Bug#215932)
  * Package no longer needs debmake builds-depends. (closes: Bug#132468)
  * User config files no longer shipped in /etc/tkdesk (closes: Bug#132821)


=== debian/control ===
Source: tkdesk
Section: x11
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.7.0
Build-Depends: blt-dev (>= 3.0~1),
               debhelper (>= 10),
               tcl-itcl4-dev,
               tk-dev (>= 8.6.0),
Homepage: http://tkdesk.sourceforge.net/
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/tkdesk
Vcs-Git: https://salsa.debian.org/debian/tkdesk.git

Package: tkdesk
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Tk/tcl based X11 Desktop/File manager
 TkDesk is a graphical file manager for Unix (esp. Linux) and the X
 Window System.
 .
 Compared with other file managers available, it offers the most
 complete set of file operations and services, plus gives the user the
 ability to configure most every aspect of TkDesk in a powerful way.
 .
 TkDesk has been influenced by various other systems and file managers,
 such as NeXT, for laying out the file browser windows, Apple Finder,
 for the idea of file annotations and, shock horror, Windows 95, for
 some other inspirations.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
TKDESK_LIBRARY = /usr/lib/tkdesk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CPPFLAGS_MAINT_APPEND = -DUSE_INTERP_RESULT


%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --with-blt=/usr/lib/$(DEB_HOST_MULTIARCH) --with-itcl=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_build:
	dh_auto_build -- TKDESK_LIBRARY=$(TKDESK_LIBRARY)

override_dh_auto_install:
	dh_auto_install -- INSTALL_ROOT=$(CURDIR)/debian/tkdesk TKDESK_LIBRARY=$(TKDESK_LIBRARY)

override_dh_install:
	dh_install
	mv debian/tkdesk/$(TKDESK_LIBRARY)/configs debian/tkdesk/etc/tkdesk
	mv debian/tkdesk/$(TKDESK_LIBRARY)/doc debian/tkdesk/usr/share/doc/tkdesk/tkdesk-doc
	cd debian/tkdesk/usr/share/doc/tkdesk/tkdesk-doc && rm -f License ChangeLog Guide

=== debian/watch ===
version=4
http://sf.net/@PACKAGE@/ @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate
